API reference
DEVELOPER PLATFORM · v1

An API you can build with

CRM, campaigns, analytics and integrations. Exact contracts, practical examples and signed webhooks.

Download OpenAPI

Private preview: use a project API key. Public SLA and support windows have not been established yet.

GET

Get Developer Crm Ticket

/api/v1/developer/crm/tickets/{ticketId}

Use the access scope below. The generated schemas specify the exact request and responses.

Access scopecrm.tickets.read

Authorization: Bearer YOUR_PROJECT_TOKEN

Parameters

ticketIdrequired · path

stringminLength: 1 · maxLength: 160

JSON Schema
{
  "type": "string",
  "minLength": 1,
  "maxLength": 160
}

Request examples

curl --request GET   'https://YOUR_NOVA_HOST/api/v1/developer/crm/tickets/TICKET_ID'   --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'

Responses

200 Exact CRM ticket workflow detail
application/json

object

idrequired
stringminLength: 1 · maxLength: 160
titlerequired
stringminLength: 1 · maxLength: 200
categoryrequired
string | nullminLength: 1 · maxLength: 80
priorityrequired
stringenum: ["low","normal","high","urgent"]
statusrequired
stringenum: ["open","pending","resolved","closed"]
firstResponseDueAtrequired
stringformat: "date-time"
resolutionDueAtrequired
stringformat: "date-time"
createdAtrequired
stringformat: "date-time"
updatedAtrequired
stringformat: "date-time"
contactIdrequired
stringminLength: 1 · maxLength: 160
organizationIdrequired
string | nullminLength: 1 · maxLength: 160
dealIdrequired
string | nullminLength: 1 · maxLength: 160
firstRespondedAtrequired
string | nullformat: "date-time"
resolvedAtrequired
string | nullformat: "date-time"
closedAtrequired
string | nullformat: "date-time"
JSON Schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "title": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "category": {
      "type": [
        "string",
        "null"
      ],
      "minLength": 1,
      "maxLength": 80
    },
    "priority": {
      "type": "string",
      "enum": [
        "low",
        "normal",
        "high",
        "urgent"
      ]
    },
    "status": {
      "type": "string",
      "enum": [
        "open",
        "pending",
        "resolved",
        "closed"
      ]
    },
    "firstResponseDueAt": {
      "type": "string",
      "format": "date-time"
    },
    "resolutionDueAt": {
      "type": "string",
      "format": "date-time"
    },
    "createdAt": {
      "type": "string",
      "format": "date-time"
    },
    "updatedAt": {
      "type": "string",
      "format": "date-time"
    },
    "contactId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "organizationId": {
      "type": [
        "string",
        "null"
      ],
      "minLength": 1,
      "maxLength": 160
    },
    "dealId": {
      "type": [
        "string",
        "null"
      ],
      "minLength": 1,
      "maxLength": 160
    },
    "firstRespondedAt": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "resolvedAt": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "closedAt": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "title",
    "category",
    "priority",
    "status",
    "firstResponseDueAt",
    "resolutionDueAt",
    "createdAt",
    "updatedAt",
    "contactId",
    "organizationId",
    "dealId",
    "firstRespondedAt",
    "resolvedAt",
    "closedAt"
  ],
  "additionalProperties": false,
  "$ref": "#/components/schemas/DeveloperCrmTicketDetailResponse"
}
401 Invalid developer credential
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
403 CRM tickets entitlement or membership unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
404 CRM ticket not found
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
429 Developer API rate limit exceeded
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
503 Developer API rate limiter unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}